{% extends 'base.html' %}


{% block body %}
    <hr>
    <h2 style="color: aqua;">Изменить:</h2>
    <form action='/posts/edit/{{post.id}}' method='POST'>
        <label style="color: aqua;" for="author">Автор:</label>
        <input style="color: rgb(0, 207, 207); background-color:rgb(116, 15, 211);" class="form-control" type="text"
            name='author' id='author' value="{{ post.author }}" aria-label="Enter Author">
        <br>
        <label style="color: aqua;" for="title">Название:</label>
        <input style="color: rgb(0, 207, 207); background-color:rgb(116, 15, 211);" class="form-control" type="text" name='title' id='title' value="{{ post.title }}" aria-label="Enter Title">
        <br>        
        <label style="color: aqua;" for="content">Пост:</label>
        <textarea  style="color: rgb(0, 207, 207); background-color:rgb(116, 15, 211);" class="form-control" name='content' id="content" aria-label="Enter Content" rows="3">{{ post.content }}</textarea>
        <br>
        <input type='submit' class="btn btn-light" style="color: rgb(116, 15, 211); background-color:rgb(0, 207, 207);" value='Сохранить'>
    </form>
    <hr>
{% endblock %}